extends Node3D

@onready var label: Label3D = $Label3D

func setup(damage: int, position_in: Vector3, is_critical: bool) -> void:
	if not is_inside_tree():
		await ready

	var color = Color.GOLD
	if is_critical:
		color = Color.RED
	label.text = "-" + str(damage)
	label.modulate = color
	global_position = position_in

